//
// PovRay scene file for a simple wooden chest
//
// Author:   Hj. Malthaner
// Email:    hansjoerg.malthaner@gmx.de
// Creation:  2003/??/??
// Update:    2016/03/02
//
// Web:      http://opengameart.org/users/varkalandar
//
// This file is available under the GNU general
// public license v2 or newer.
//
// http://www.gnu.org/licenses/gpl-2.0.html
//
  
#declare Cam1 = 
camera 
{
	orthographic
	location < 2.5, 2.5*0.82, 2.5 >*1.4
	look_at < 0, 0, 0 >
}

camera 
{ 
	Cam1 
}

light_source 
{ 
	< 2.5*20, 100, 2.5*10 >
	color rgb < 1, 1, 1 > 
}

// sky sphere

sphere 
{
	<0,0,0>, 10000

	hollow

	pigment {
		color rgb 1
	}
}	

#declare FM = 3.0;

#declare FLOOR = 
box 
{
	<-1*FM, -0.0, -1*FM>,
	<1*FM, -0.3, 1*FM>

	texture 
  {
		pigment 
    {
      color rgb 0.3
    }

		finish 
    {
			ambient 0.2
		}
	}
}


#declare TEX_WOOD = 
texture 
{
	pigment 
  {
    wood

    color_map 
    {
      [0.1 color rgb <0.60, 0.35, 0.20>]
      [0.9 color rgb <0.90, 0.65, 0.30>]
      [1.0 color rgb <0.60, 0.35, 0.20>]
    }
    turbulence <0.06, 0.1, 1000>
    scale <0.03, 0.03, 0.1>
    rotate <1, 1, 0>
	}

	normal 
  {
		bumps 0.2
		scale 0.5
    turbulence 0.3
	}
  
  finish 
  {
    ambient 0.2
    diffuse 0.6
    phong 0.3
    phong_size 60
    specular 0.1
    roughness 0.2
  }
}


#declare CHEST = 
union 
{
    // Chest body
	box 
  {
		<-1.6,0,-1>
		<1.6,1.2,1>
	}

    // Top cover
	box 
  {
		<-1.7, 1.2, -1.1>
		<1.7, 1.25, 1.1>
	}


	box 
  {
		<-1.65, 1.2, -1.05>
		<1.65, 1.6, 1.05>
	}

  // Rounded top
    
	intersection 
  {
		plane 
    {
			<0, -1, 0>, 0
		}
		cylinder 
    {
			<1.65, 0, 0>,
			<-1.65, 0, 0>, 1.05
		}

		scale <1, 0.2, 1>
		translate <0, 1.6, 0>
	}

	// Handles

	box 
  {
		<1.9, 0.9, -0.5>
		<1.6, 1.1, 0.5>
	}

	box 
  {
		<-1.9, 0.9, -0.5>
		<-1.6, 1.1, 0.5>
	}

	texture 
  {
		TEX_WOOD
    rotate <1, 90, 1>
		scale 0.5
	}
}



union 
{
	object 
  {
		FLOOR
	}

	object 
  {
		CHEST
    scale 0.4
    translate <1, 0, -1>*0.7
	}

  object 
  {
		CHEST
    rotate 90
    scale 0.4
    translate <-1, 0, 1>*0.7
	}

	translate <0, -1, 0>
}
